version: "3.2"
services:

  web:
    image: php:7.3-rc-apache
    ports:
      - "80:80"
    networks:
      - frontend
    volumes:
      - ./webadmin:/var/www/html/

  webservice:
    image: php:7.3-rc-apache
    ports:
      - "8080:80"
    depends_on:
      - database
    networks:
      - frontend
      - backend
    volumes:
      - ./webservices:/var/www/html/

  database:
    image: mysql:latest
    ports:
      - "3306:3306"
    networks:
      - backend
    volumes:
      - ./bd:/var/lib/mysql/
    command: --default-authentication-plugin=mysql_native_password
    restart: always
    environment:
      - MYSQL_ROOT_PASSWORD=silviopd

networks:
  frontend:
  backend: